extensions / Page templates
PUT
/api/page-template-variables/{id}PUT /api/page-template-variables/{id}
A description is not available in the current release metadata.
DELETEPUT
Code examples
Integration
PUT /api/page-template-variables/{id}
Environment
BASE_URLcurl --request PUT \
--url "${BASE_URL}/api/page-template-variables/example_id" \
--header "Content-Type: application/json" \
--data @request.jsonResponse
Response examples are not available in the current release metadata.
Authentication
Required: session.
Authentication
- Requirement
- Required
- Credential type
- session
- Scopes
- Not specified
Headers
Path Parameters
| Name | Required | Type |
|---|---|---|
id | Yes | Not specified |
Query Parameters
Request Body
Schema: UpdateVariableBody
| Field | Required | Type |
|---|---|---|
key | No | Not specified |
label | No | Not specified |
type | No | Not specified |
default_value | No | Not specified |
options | No | Not specified |
sort_order | No | Not specified |
Response Body
Errors
Availability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified